import React, { useReducer } from "react";
import { UserProvider } from "./userContext/userContext";
import { initialState, userReducer } from "./userContext/userReducer";
import Login from "./Components/Login";
import Home from "./Components/Home";

function App() {
  const [state, dispatch] = useReducer(userReducer, initialState);

  return (
    <UserProvider value={[state, dispatch]}>
      <div className="App">{state.isLogedIn ? <Home /> : <Login />}</div>
    </UserProvider>
  );
}

export default App;
