import React, { useState, useContext, useEffect } from "react";
import { BrowserRouter as Router, Route, Link, Routes } from "react-router-dom";
import UserContext from "../../userContext/userContext";
import "./style.css";
import Dashboard from "../Dashboard";
import News from "../News";
import Contact from "../Contact";

function Home() {
  const [name, setName] = useState();
  const [userState, userDispatch] = useContext(UserContext);
  useEffect(() => {
    setName(userState.userName);
  }, [userState.userName]);
  const signOut = () => {
    userDispatch({ type: "SIGN_OUT" });
  };

  return (
    <Router>
      <div className="container">
        <div className="sidebar">
          <div className="info">{name} is successfully logged in</div>

          <div className="sidebar-menu">
            <ul>
              <li>
                <Link to="/dashboard">Dashboard</Link>
              </li>
              <li>
                <Link to="/news">News</Link>
              </li>
              <li>
                <Link to="/contact">Contact Us</Link>
              </li>
            </ul>
          </div>
          <button className="signOut" onClick={signOut}>
            Sign Out
          </button>
        </div>
        <div className="display">
          Main Display
          <Routes>
            <Route
              exact
              path="/dashboard"
              element={<Dashboard name={name} />}
            />
            <Route path="/news" element={<News name={name} />} />
            <Route path="/contact" element={<Contact name={name} />} />
          </Routes>
        </div>
      </div>
    </Router>
  );
}

export default Home;
