import React, { useState, useContext } from "react";
import UserContext from "../../userContext/userContext";

import "./styles.css";

function Login() {
  const [userState, userDispatch] = useContext(UserContext);
  const [isSubmitted, setIsSubmitted] = useState(false);
  const [userName, setUserName] = useState();
  const [password, setPassword] = useState();

  const handleSubmit = (e) => {
    e.preventDefault();
    setIsSubmitted(true);
    const userInfo = { userName, password };
    userDispatch({ type: "SET_USER", payload: userInfo });
  };
  const getUserName = (e) => {
    setUserName(e.currentTarget.value);
  };
  const getPassword = (e) => {
    setPassword(e.currentTarget.value);
  };

  const renderCredentialForm = (
    <div className="form">
      <form onSubmit={handleSubmit}>
        <div className="input-container">
          <label>Username </label>
          <input
            type="text"
            name="uname"
            placeholder="Please enter username"
            onChange={getUserName}
            required
          />
        </div>
        <div className="input-container">
          <label>Password </label>
          <input
            type="password"
            name="pass"
            placeholder="Please enter password"
            onChange={getPassword}
            required
          />
        </div>
        <div className="button-container">
          <input type="submit" />
        </div>
      </form>
    </div>
  );

  return (
    <div className="app">
      <div className="login-form">
        <div className="title">Sign In</div>
        {isSubmitted ? (
          <div>User is successfully logged in</div>
        ) : (
          renderCredentialForm
        )}
      </div>
    </div>
  );
}

export default Login;
